import java.util.ArrayList;

/**
 * Verzamelt alle informatie voor een nieuwe loonberekening
 */
public class Loonberekening {
    
    private ArrayList<Persoon> personen;

    /**
     * Constructor
     */
    public Loonberekening() {
        personen = new ArrayList<Persoon> ();
    }
    
    /**
     * Voeg een persoon toe voor wie het loon moet berekend worden
     */
    public void registreerPersoon (Persoon persoon) {
        personen.add (persoon);
    }
        
    /**
     * Totale loonkost
     */
    public int totaleLoonkost () {
        int totaal = 0;
        for (Persoon persoon : personen) {
            totaal += persoon.getBerekendLoon();
        }
        return totaal;
    }
    
    
    /**
     * Betaaldag. Schrijft van elk personeelslid de naam
     * uit en het loon
     */
    public void betaalDag () {
        
        for (Persoon persoon : personen) {
            System.out.println (
                persoon.getNaam() + ": " + persoon.getBerekendLoon()
            );
        }
    }
    
}
